Loading...
Searching...
No Matches
vkd3d_shader_varying_map Struct Reference

Describes the mapping of a output varying register in a shader stage, to an input varying register in the following shader stage. More...

`#include <vkd3d_shader.h>`

## Data Fields

unsigned int | output_signature_index
| The signature index (in the output signature) of the output varying.
unsigned int | input_register_index
| The register index of the input varying to map this register to.
unsigned int | input_mask
| The mask consumed by the destination register.

## Detailed Description

Describes the mapping of a output varying register in a shader stage, to an input varying register in the following shader stage.

This structure is used in struct vkd3d_shader_varying_map_info.

## Field Documentation

## output_signature_index

unsigned int vkd3d_shader_varying_map::output_signature_index

The signature index (in the output signature) of the output varying.

If greater than or equal to the number of elements in the output signature, signifies that the varying is consumed by the next stage but not written by this one.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h